## org.hibernate.loader.custom
Class CustomLoader.NonScalarResultColumnProcessor

    java.lang.Object
      org.hibernate.loader.custom.CustomLoader.NonScalarResultColumnProcessor

Enclosing class:
  CustomLoader

    public class CustomLoader.NonScalarResultColumnProcessor

extends Object

Constructor Summary
`CustomLoader.NonScalarResultColumnProcessor(int position)`

Method Summary
`Object` `extract(Object[] data, ResultSet resultSet, SessionImplementor session)`
`void` `performDiscovery(org.hibernate.loader.custom.CustomLoader.Metadata metadata, List types, List aliases)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomLoader.NonScalarResultColumnProcessor

    public CustomLoader.NonScalarResultColumnProcessor(int position)

Method Detail

### extract

    public Object extract(Object[] data,
                          ResultSet resultSet,
                          SessionImplementor session)
                   throws SQLException,
                          HibernateException

  Throws:
    `SQLException`
    `HibernateException`

### performDiscovery

    public void performDiscovery(org.hibernate.loader.custom.CustomLoader.Metadata metadata,
                                 List types,
                                 List aliases)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.